
Name:     latte-dock
Version:  0.10.9
Release:  %mkrel 1
Summary:  Latte is a dock based on plasma frameworks
Group: Graphical desktop/KDE5
License:  GPLv2+
URL: https://download.kde.org/stable/latte-dock/
Source0:  %{name}-%{version}.tar.xz
Source1:  org.kde.latte-dock.desktop
BuildRequires: kf5-macros
BuildRequires: cmake
BuildRequires: lib64kconfig-devel
BuildRequires: lib64kcoreaddons-devel
BuildRequires: lib64kf5activities-devel
BuildRequires: lib64kf5archive-devel
BuildRequires: lib64kf5configwidgets-devel
BuildRequires: lib64kf5crash-devel
BuildRequires: lib64kf5dbusaddons-devel
BuildRequires: lib64kf5declarative-devel
BuildRequires: lib64kf5globalaccel-devel
BuildRequires: lib64kf5i18n-devel
BuildRequires: lib64kf5iconthemes-devel
BuildRequires: lib64kf5notifications-devel
BuildRequires: lib64kf5package-devel
BuildRequires: lib64kf5plasma-devel
BuildRequires: lib64kf5service-devel
BuildRequires: lib64kf5wayland-devel
BuildRequires: lib64kf5widgetsaddons-devel
BuildRequires: lib64kf5windowsystem-devel
BuildRequires: lib64kf5xmlgui-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5dbus-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5qml-devel
BuildRequires: lib64qt5quick-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: lib64qt5x11extras-devel
BuildRequires: lib64x11-devel
BuildRequires: lib64xcb-util-devel
BuildRequires: libxcb-devel
BuildRequires: make
BuildRequires: mesa-devel
BuildRequires: pkgconfig
BuildRequires: qtbase5-common-devel
BuildRequires: x11-proto-devel
BuildRequires: lib64ksysguard-devel
BuildRequires: lib64kf5newstuff-devel
BuildRequires: kirigami-devel
BuildRequires: lib64qt5concurrent-devel

%description
Latte is a dock based on plasma frameworks that provides an elegant and
intuitive experience for your tasks and plasmoids. It animates its contents by
using parabolic zoom effect and tries to be there only when it is needed.

%prep
%setup -q
%apply_patches

%build
%cmake_kf5 -Wno-dev
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

find %{buildroot} -size 0 -delete

#Custom Menu Name Latte Dock instead of just Latte
install -m 0644 %SOURCE1 %buildroot/%{_datadir}/applications/org.kde.latte-dock.desktop

desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-MoreApplications" \
  --remove-category="X-SuSE-DesktopUtility" \
  --dir %buildroot%{_datadir}/applications %buildroot%{_datadir}/applications/*


%files
%{_bindir}
%{_libdir}
%{_datadir}

%changelog
* Sat Dec 03 2022 tex - 0.10.9-1pclos2022
- new version

* Mon Sep 19 2022 tex - 0.10.8-2pclos2022
- rebuild against updates

* Sat Jul 16 2022 tex - 0.10.8-1pclos2022
- new version

* Sat Dec 18 2021 tex - 0.10.6-1pclos2021
- new version

* Fri Dec 17 2021 tex - 0.10.5-1pclos2021
- new version

* Thu Nov 18 2021 tex - 0.10.4-1pclos2021
- new version

* Mon Oct 25 2021 tex - 0.10.3-1pclos2021
- new version

* Mon Sep 13 2021 tex - 0.10.2-1pclos2021
- new version

* Fri Aug 06 2021 tex - 0.10.0-1pclos2021
- new version

* Tue May 18 2021 tex - 0.9.12-1pclos2021
- new version

* Mon May 17 2021 tex - 0.9.11-5pclos2021
- apply upstream patch

